[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Compiling with capieng enabled for smart card authentication

From: Lucas Johnson <lucas.johnson_at_nextwavesys.com>
Date: Mon, 4 May 2009 10:42:50 -0400

Patrick,

I have compiled newer versions of TortoiseSVN with CAC authentication
following the steps in the build.txt file, but you have to take some
files from TortoiseSVN 1.5.5. Also, you can only use OpenSSL 0.9.8i,
not a newer version. I copied OpenSSL.build, VC-32.pl, and ossl_typ.h
from 1.5.5 to 1.6.1 in their appropriate locations, then everything
compiles fine using nant release setup.

The change seems to be in OpenSSL for using capi, but I'm not sure if
modifications need to be made to TortoiseSVN or OpenSSL so that newer
versions of OpenSSL can be used with TortoiseSVN with CAC
authentication.

On May 4, 2009, at 9:05 AM, webpost_at_tigris.org wrote:

> Has anyone gotten this working? I work for a DoD agency that uses
> CACs and we really need to get this to function correctly.
>
> Stefan,
> Maybe I'm misunderstanding you, but something definitely was
> changed. 1.5.5 will allow you to select certificates from a smart
> card (though as you say it does ask again on every connect) while
> newer versions only allow you to select file based certificates.
>
> It appears to have been changed as a result of this thread:
> http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=92849
>
> and a little more info:
> http://groups.google.com/group/tortoisesvn/browse_thread/thread/18d88aa34c7c944e
>
> I'd greatly appreciate any help.
>
> Thanks,
> Patrick

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2057138

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2009-05-04 17:28:18 CEST

This is an archived mail posted to the TortoiseSVN Users mailing list.